# Partial Update PATCH /api/v2/videos/{id}/ Content-Type: application/json V2 View to update a Video. Allows updating title, description, cover_image, and visibility. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/videos/partial-update ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v2/videos/{id}/: patch: operationId: partial-update summary: Partial Update description: |- V2 View to update a Video. Allows updating title, description, cover_image, and visibility. tags: - subpackage_videos parameters: - name: id in: path required: true schema: type: integer responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/VideoUpdate' requestBody: content: application/json: schema: $ref: '#/components/schemas/PatchedVideoUpdate' components: schemas: GlobalVisibilityEnum: type: string enum: - public - private - team - org description: |- * `public` - Public * `private` - Private * `team` - Team * `org` - Organization title: GlobalVisibilityEnum PatchedVideoUpdate: type: object properties: title: type: string description: type: - string - 'null' cover_image: type: - string - 'null' format: uri visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' tags: type: array items: type: integer is_draft: type: boolean description: Whether this video is a draft description: Serializer for updating Video details. title: PatchedVideoUpdate VideoUpdate: type: object properties: title: type: string description: type: - string - 'null' cover_image: type: - string - 'null' format: uri visibility: $ref: '#/components/schemas/GlobalVisibilityEnum' tags: type: array items: type: integer is_draft: type: boolean description: Whether this video is a draft required: - title description: Serializer for updating Video details. title: VideoUpdate ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v2/videos/1/" payload = {} headers = {"Content-Type": "application/json"} response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v2/videos/1/'; const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v2/videos/1/" payload := strings.NewReader("{}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v2/videos/1/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.example.com/api/v2/videos/1/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PATCH', 'https://api.example.com/api/v2/videos/1/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v2/videos/1/"); var request = new RestRequest(Method.PATCH); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v2/videos/1/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```